package eu.mhsl.craftattack.worldmuseum.listener;

import eu.mhsl.craftattack.worldmuseum.worlds.World;
import eu.mhsl.craftattack.worldmuseum.worlds.WorldManager;
import net.minestom.server.entity.Player;
import net.minestom.server.event.inventory.InventoryPreClickEvent;

import java.util.Iterator;
import java.util.function.Consumer;

public class InventoryClickListener implements Consumer<InventoryPreClickEvent> {
    @Override
    public void accept(InventoryPreClickEvent inventoryPreClickEvent) {
        Player p = inventoryPreClickEvent.getPlayer();
        inventoryPreClickEvent.setCancelled(true);
        WorldManager worldManager = WorldManager.getInstance();
        Iterator iterator = worldManager.getWorlds().iterator();
        while (iterator.hasNext()) {
            World w = (World) iterator.next();
            if (!w.getItem().equals(inventoryPreClickEvent.getClickedItem())) continue;
            if (p.getInstance().equals(w)) {
                p.closeInventory();
                p.teleport(w.getSpawn());
                return;
            } else {
                p.closeInventory();
                p.setInstance(w);
                p.teleport(w.getSpawn());
                return;
            }
        }
    }
}
